package Bencher::ScenarioR::LevenshteinModules;

our $VERSION = 0.13; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "program",
        errors      => 5.6e-07,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 14000,
        samples     => 20,
        time        => 73,
        vs_slowest  => 1,
      },
      {
        dataset     => "program",
        errors      => 1.1e-08,
        participant => "PERLANCAR::Text::Levenshtein::editdist",
        rate        => 28100,
        samples     => 28,
        time        => 35.5,
        vs_slowest  => 2.06,
      },
      {
        dataset     => "reve",
        errors      => 1.1e-07,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 34000,
        samples     => 20,
        time        => 30,
        vs_slowest  => 2.5,
      },
      {
        dataset     => "euro",
        errors      => 5e-08,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 39000,
        samples     => 23,
        time        => 25,
        vs_slowest  => 2.9,
      },
      {
        dataset     => "foo",
        errors      => 2.7e-08,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 70000,
        samples     => 20,
        time        => 14,
        vs_slowest  => 5.1,
      },
      {
        dataset     => "foo",
        errors      => 1.3e-08,
        participant => "PERLANCAR::Text::Levenshtein::editdist",
        rate        => 110000,
        samples     => 20,
        time        => 9.2,
        vs_slowest  => 7.9,
      },
      {
        dataset     => "a",
        errors      => 8.3e-09,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 230000,
        samples     => 20,
        time        => 4.4,
        vs_slowest  => 17,
      },
      {
        dataset     => "a",
        errors      => 2.6e-09,
        participant => "PERLANCAR::Text::Levenshtein::editdist",
        rate        => 400000,
        samples     => 20,
        time        => 2.5,
        vs_slowest  => 30,
      },
      {
        dataset     => "program",
        errors      => 8.1e-10,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 513000,
        samples     => 21,
        time        => 1.95,
        vs_slowest  => 37.6,
      },
      {
        dataset     => "euro",
        errors      => 3.3e-09,
        participant => "Text::Fuzzy",
        rate        => 600000,
        samples     => 20,
        time        => 1.7,
        vs_slowest  => 44,
      },
      {
        dataset     => "reve",
        errors      => 1.5e-10,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 656000,
        samples     => 31,
        time        => 1.52,
        vs_slowest  => 48.1,
      },
      {
        dataset     => "euro",
        errors      => 1.7e-09,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 700000,
        samples     => 20,
        time        => 1.4,
        vs_slowest  => 51,
      },
      {
        dataset     => "foo",
        errors      => 1.1e-11,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 789220,
        samples     => 24,
        time        => 1.2671,
        vs_slowest  => 57.804,
      },
      {
        dataset     => "program",
        errors      => 1.7e-09,
        participant => "Text::Fuzzy",
        rate        => 990000,
        samples     => 20,
        time        => 1,
        vs_slowest  => 72,
      },
      {
        dataset     => "a",
        errors      => 4.1e-10,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 1010000,
        samples     => 21,
        time        => 0.993,
        vs_slowest  => 73.7,
      },
      {
        dataset     => "reve",
        errors      => 3.2e-10,
        participant => "Text::Fuzzy",
        rate        => 1090000,
        samples     => 34,
        time        => 0.914,
        vs_slowest  => 80.2,
      },
      {
        dataset     => "foo",
        errors      => 4.1e-10,
        participant => "Text::Fuzzy",
        rate        => 1140000,
        samples     => 21,
        time        => 0.879,
        vs_slowest  => 83.3,
      },
      {
        dataset     => "a",
        errors      => 1.6e-09,
        participant => "Text::Fuzzy",
        rate        => 1200000,
        samples     => 21,
        time        => 0.83,
        vs_slowest  => 88,
      },
      {
        dataset     => "program",
        errors      => 1e-10,
        participant => "Text::LevenshteinXS::distance",
        rate        => 3680000,
        samples     => 21,
        time        => 0.271,
        vs_slowest  => 270,
      },
      {
        dataset     => "program",
        errors      => 1e-10,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 4850000,
        samples     => 20,
        time        => 0.206,
        vs_slowest  => 355,
      },
      {
        dataset     => "euro",
        errors      => 0,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 5175710,
        samples     => 20,
        time        => 0.19321,
        vs_slowest  => 379.081,
      },
      {
        dataset     => "reve",
        errors      => 0,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 7051530,
        samples     => 24,
        time        => 0.141813,
        vs_slowest  => 516.47,
      },
      {
        dataset     => "foo",
        errors      => 2.1e-10,
        participant => "Text::LevenshteinXS::distance",
        rate        => 8400000,
        samples     => 20,
        time        => 0.12,
        vs_slowest  => 610,
      },
      {
        dataset     => "foo",
        errors      => 9.8e-12,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 8600000,
        samples     => 22,
        time        => 0.1163,
        vs_slowest  => 629.9,
      },
      {
        dataset     => "a",
        errors      => 5.1e-11,
        participant => "Text::LevenshteinXS::distance",
        rate        => 10000000,
        samples     => 21,
        time        => 0.0998,
        vs_slowest  => 734,
      },
      {
        dataset     => "a",
        errors      => 5.3e-11,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 10000000,
        samples     => 20,
        time        => 0.0997,
        vs_slowest  => 735,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "LevenshteinModules",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => "2753.460",
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2653.218,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2645.507,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => "2632.000",
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.6281578540802,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                           => 1.034,
                                            "Bencher::Scenario::LevenshteinModules" => undef,
                                            "Benchmark::Dumb"                       => "0.10",
                                            "Devel::Platform::Info"                 => 0.16,
                                            "perl"                                  => "v5.24.0",
                                            "PERLANCAR::Text::Levenshtein"          => 0.02,
                                            "Sys::Info"                             => 0.78,
                                            "Text::Fuzzy"                           => 0.25,
                                            "Text::Levenshtein"                     => 0.13,
                                            "Text::Levenshtein::Flexible"           => 0.09,
                                            "Text::Levenshtein::XS"                 => 0.503,
                                            "Text::LevenshteinXS"                   => 0.03,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 5], "dataset", [0 .. 4]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::LevenshteinModules",
      "func.scenario_module_md5sum"    => "a247523e162a45eeac0afe31064db653",
      "func.scenario_module_mtime"     => 1484299562,
      "func.scenario_module_sha1sum"   => "a5b237afecb6b58545015f18310a2cab9a02fa7f",
      "func.scenario_module_sha256sum" => "58f4ad0b4ea547d92378b7aff8fe893fe660c3d3bbf17366df7d0c5fcda22b48",
      "func.time_end"                  => 1485330940.27668,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1485330939.64852,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark various modules calculating the Levenshtein edit distance

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

